%define modname clamav
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A41_%{modname}.ini

Summary:	Provides a interface to ClamAV for PHP
Name:		php-%{modname}
Version:	0.13
Release:	%mkrel 2
Group:		Development/PHP
URL:		http://phpclamavlib.org/
License:	PHP License
Source0:	php-clamavlib-%{version}.tar.gz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	clamav-devel
Requires:	clamav
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PHP ClamaAV Lib is a PHP extension that allows to incorporate virus scanning
features in your PHP scripts. It uses the Clam Antivirus API (libclamav) for
virus scanning.

%prep

%setup -q -n php-clamavlib-%{version}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[clamav]
clamav.dbpath="%{_localstatedir}/clamav"
clamav.maxreclevel=0
clamav.maxfiles=0
clamav.archivememlim=0
clamav.maxfilesize=0
clamav.maxratio=0
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc CHANGES CREDITS EXPERIMENTAL INSTALL clamav.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdv2008.1
+ Revision: 162214
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.13-1mdv2008.1
+ Revision: 107587
- 0.13
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-12mdv2008.0
+ Revision: 77529
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-11mdv2008.0
+ Revision: 39484
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-10mdv2008.0
+ Revision: 33799
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-9mdv2008.0
+ Revision: 21319
- rebuilt against new upstream version (5.2.2)


* Mon Mar 05 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12a-8mdv2007.0
+ Revision: 133175
- added P0 from debian to make it compile
- rebuilt against new clamav libs

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-6mdv2007.1
+ Revision: 117545
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-5mdv2007.0
+ Revision: 78130
- fix deps
- rebuilt for php-5.2.0
- Import php-clamav

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-3
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-1mdv2007.1
- rebuild

* Mon Jun 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12a-1mdv2007.0
- 0.12a

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-4mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.12-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.12-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.12-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Thu Oct 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.12-0.RC1.1mdk
- 0.12

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.11-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_0.11-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri Aug 19 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.11-1mdk
- initial Mandriva package

